unit fmMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses uWantedClass, udmCrackerClass;

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
var
  aCracker : TClass1;
begin
  aCracker := TClass1.Create;
  try
    Edit1.Text := IntToStr(aCracker.GetWanted1);
    Edit2.Text := aCracker.GetWanted2;
  finally // wrap up
    FreeAndNil(aCracker);
  end;    // try/finally
end;

end.
